Skip to main content
GET
/
payment-method
/
{id}
Get payment method details
curl --request GET \
  --url https://demo.api.harmony.compago.com/api/payment-method/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "status": "PENDING",
  "externalId": "<string>",
  "card": {
    "lastFourDigits": "4242",
    "networkType": "VISA"
  },
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

The unique identifier of the payment method

Response

Payment method details

Detailed payment method information

id
string<uuid>
required
Example:

"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"

status
enum<string>
required
Available options:
PENDING,
ACTIVE,
EXPIRED,
REVOKED
externalId
string
card
object
createdAt
string<date-time>